1. Backup Manager
VirtFusion Global API
  • General
    • Test connection
      GET
  • Hypervisors
    • Retrieve hypervisors
      GET
    • Retrive a Hypervisor
      GET
  • Hypervisor Groups
    • Retrieve hypervisor groups
      GET
    • Retrieve a hypervisor group
      GET
    • Retrieve a hypervisor groups resources
      GET
  • Servers
    • Network
      • Firewall
        • Disable firewall
        • Enable firewall
        • Retrieve firewall
        • Apply firewall rulesets
      • Traffic
        • Add a traffic block to a server
        • Remove a traffic block from a server
        • Retrieve a servers traffic blocks
        • Modify primary traffic allowance
      • Add an address to the whitelist
      • Remove an address from the whitelist
      • Add a quantity of IPv4 addresses
      • Add an array of IPv4 addresses
      • Remove an array of IPv4 addresses
    • Power
      • Boot a server
      • Shutdown a server
      • Restart a server
      • Poweroff a server
    • Backup Manager
      • Modify Access
      • Restore a server backup
      • Create a server backup
    • Migration
      • Hybrid
        • List destinations
        • Destination availability
        • Migration status
        • Start migration
        • Retry a failed migration
        • Cancel a failed migration
        • Complete a migration
        • Revert a migration
    • Retrieve a server
      GET
    • Add, remove or modify a backup plan
      PUT
    • Build a server
      POST
    • Change a server package
      PUT
    • Create a server
      POST
    • Delete a server
      DELETE
    • Retrieve servers
      GET
    • Modify name
      PUT
    • Reset a server password
      POST
    • Retrieve a users servers
      GET
    • Retrieve OS templates available to a server
      GET
    • Suspend a server
      POST
    • Throttle a servers CPU
      PUT
    • Retrieve a servers traffic statistics
      GET
    • Unsuspend a server
      POST
    • Enable or disable VNC
      POST
    • Retrive VNC details
      GET
    • Change owner
      PUT
    • Modify memory
      PUT
    • Modify CPU cores
      PUT
    • Set custom XML
      POST
  • IP Blocks
    • Add an IPv4 range to an IP block
    • Retrieve IP blocks
    • Retrieve an IP block
    • Reserve/Unreserve an IPv4 address
    • Retrieve IPv4 from an IP block
  • Backup Manager
    • Retrieve backups
      GET
    • Create a server backup
      POST
    • Restore a server backup
      POST
    • Retrieve jobs
      GET
    • Retrieve a job
      GET
  • Backups (Deprecated)
    • Retrieve a server backups
  • DNS
    • Retrieve a DNS service
  • Media
    • Retrieve an ISO
    • Retrieve operating system templates that are available for a package
  • Packages
    • Retrieve packages
    • Retrieve a packge
  • Queue & Tasks
    • Retrieve a queue item
  • SSH Keys
    • Add an SSH key to a user account
    • Delete an SSH key from a user
    • Retrieve a users SSH keys
    • Retrieve an SSH key
  • Users
    • External Rel ID & Rel Str
      • Delete a user
      • Generate a set of login tokens
      • Generate a set of login tokens using a server ID
      • Modify a user
      • Change a user passowrd
      • Retrieve a user
    • Create a user
  • Self Service
    • External Relational ID
      • Add credit to user
      • Add an hourly group profile to a user
      • Add a resource group profile to a user
      • Add a resource pack to a user
      • Retrieve hourly statistics
      • Modify user access
      • Remove hourly group profile from a user
      • Remove resource group from a user
      • Generate a report
      • Set an hourly resource pack
      • Retrieve a users usage
    • Cancel credit that was applied to a user
    • Delete all servers attached to a pack ID
    • Delete a user resource pack
    • Retrieve a user resource pack
    • Modify user resource pack
    • Retrieve currencies
    • Suspend all servers assigned to a reosurce pack
    • Unsuspend all servers assigned to a reosurce pack
  1. Backup Manager

Retrieve backups

Developing
GET
/backupManager/backups

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/backupManager/backups?results=undefined&serverId=undefined&dateFrom=undefined&dateTo=undefined&backupType=undefined&storageId=undefined&disk=undefined&encrypted=undefined' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "current_page": 1,
    "data": [
        {
            "serverId": 999,
            "hypervisorId": 24,
            "disk": 2,
            "chainId": 1,
            "backupType": "full",
            "timestamp": 1787691695,
            "date": "2026-08-25T21:01:35+00:00",
            "file": "pbs:vm/999/1787691695",
            "size": 190,
            "virtualSize": 21474836480,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.190455724,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 999,
            "hypervisorId": 24,
            "disk": 2,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1787691166,
            "date": "2026-08-25T20:52:46+00:00",
            "file": "pbs:vm/999/1787691166",
            "size": 0,
            "virtualSize": 21474836480,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.014666578,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 999,
            "hypervisorId": 24,
            "disk": 2,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1787691050,
            "date": "2026-08-25T20:50:50+00:00",
            "file": "pbs:vm/999/1787691050",
            "size": 0,
            "virtualSize": 21474836480,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.0161366,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1036,
            "hypervisorId": 6,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786442060,
            "date": "2026-08-11T09:54:20+00:00",
            "file": "pbs:vm/1036/1786442060",
            "size": 2457425,
            "virtualSize": 10737418240,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.080845333,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1036,
            "hypervisorId": 6,
            "disk": 1,
            "chainId": 1,
            "backupType": "full",
            "timestamp": 1786441965,
            "date": "2026-08-11T09:52:45+00:00",
            "file": "pbs:vm/1036/1786441965",
            "size": 484065755,
            "virtualSize": 10737418240,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 18.785602399,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1012,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440875,
            "date": "2026-08-11T09:34:35+00:00",
            "file": "pbs:vm/1012/1786440875",
            "size": 0,
            "virtualSize": 75161927680,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.036132473,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1011,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440853,
            "date": "2026-08-11T09:34:13+00:00",
            "file": "pbs:vm/1011/1786440853",
            "size": 280688881,
            "virtualSize": 91268055040,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 5.295502465,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1017,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440852,
            "date": "2026-08-11T09:34:12+00:00",
            "file": "pbs:vm/1017/1786440852",
            "size": 260193651,
            "virtualSize": 64424509440,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 5.06274657,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1016,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440849,
            "date": "2026-08-11T09:34:09+00:00",
            "file": "pbs:vm/1016/1786440849",
            "size": 291754976,
            "virtualSize": 64424509440,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 5.497878874,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1015,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440848,
            "date": "2026-08-11T09:34:08+00:00",
            "file": "pbs:vm/1015/1786440848",
            "size": 5279186,
            "virtualSize": 21474836480,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.089513786,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1009,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440847,
            "date": "2026-08-11T09:34:07+00:00",
            "file": "pbs:vm/1009/1786440847",
            "size": 1468727,
            "virtualSize": 42949672960,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.062481868,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1010,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440847,
            "date": "2026-08-11T09:34:07+00:00",
            "file": "pbs:vm/1010/1786440847",
            "size": 1403142,
            "virtualSize": 48318382080,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.085661179,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1006,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440846,
            "date": "2026-08-11T09:34:06+00:00",
            "file": "pbs:vm/1006/1786440846",
            "size": 2911556,
            "virtualSize": 118111600640,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.095309544,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1008,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440846,
            "date": "2026-08-11T09:34:06+00:00",
            "file": "pbs:vm/1008/1786440846",
            "size": 44153475,
            "virtualSize": 32212254720,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.43141643,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1005,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440845,
            "date": "2026-08-11T09:34:05+00:00",
            "file": "pbs:vm/1005/1786440845",
            "size": 1544463,
            "virtualSize": 214748364800,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.225568286,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1003,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440844,
            "date": "2026-08-11T09:34:04+00:00",
            "file": "pbs:vm/1003/1786440844",
            "size": 47801583,
            "virtualSize": 91268055040,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.597450053,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1004,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440844,
            "date": "2026-08-11T09:34:04+00:00",
            "file": "pbs:vm/1004/1786440844",
            "size": 11261796,
            "virtualSize": 359703511040,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.859759147,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1000,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440843,
            "date": "2026-08-11T09:34:03+00:00",
            "file": "pbs:vm/1000/1786440843",
            "size": 14476138,
            "virtualSize": 268435456000,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.39435429,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1002,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440843,
            "date": "2026-08-11T09:34:03+00:00",
            "file": "pbs:vm/1002/1786440843",
            "size": 41509252,
            "virtualSize": 32212254720,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 0.424971554,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        },
        {
            "serverId": 1001,
            "hypervisorId": 24,
            "disk": 1,
            "chainId": 1,
            "backupType": "inc",
            "timestamp": 1786440843,
            "date": "2026-08-11T09:34:03+00:00",
            "file": "pbs:vm/1001/1786440843",
            "size": 3316243,
            "virtualSize": 1073741824000,
            "storageId": 2,
            "storageBackend": "pbs",
            "durationSecs": 1.522657841,
            "encrypted": true,
            "diskFormat": "qcow2",
            "diskType": "file",
            "created": null
        }
    ],
    "first_page_url": "https://192.168.3.11/api/v1/backupManager/backups?page=1",
    "from": 1,
    "last_page": 72,
    "last_page_url": "https://192.168.3.11/api/v1/backupManager/backups?page=72",
    "links": [
        {
            "url": null,
            "label": "&laquo; Previous",
            "page": null,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=1",
            "label": "1",
            "page": 1,
            "active": true
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=2",
            "label": "2",
            "page": 2,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=3",
            "label": "3",
            "page": 3,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=4",
            "label": "4",
            "page": 4,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=5",
            "label": "5",
            "page": 5,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=6",
            "label": "6",
            "page": 6,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=7",
            "label": "7",
            "page": 7,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=8",
            "label": "8",
            "page": 8,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=9",
            "label": "9",
            "page": 9,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=10",
            "label": "10",
            "page": 10,
            "active": false
        },
        {
            "url": null,
            "label": "...",
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=71",
            "label": "71",
            "page": 71,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=72",
            "label": "72",
            "page": 72,
            "active": false
        },
        {
            "url": "https://192.168.3.11/api/v1/backupManager/backups?page=2",
            "label": "Next &raquo;",
            "page": 2,
            "active": false
        }
    ],
    "next_page_url": "https://192.168.3.11/api/v1/backupManager/backups?page=2",
    "path": "https://192.168.3.11/api/v1/backupManager/backups",
    "per_page": 20,
    "prev_page_url": null,
    "to": 20,
    "total": 1421
}
Modified at 2026-08-25 20:46:36
Previous
Retrieve IPv4 from an IP block
Next
Create a server backup
Built with